import xbmc, xbmcvfs, xbmcaddon, xbmcgui
import os
from datetime import datetime
from base64 import b64decode

addon_id = xbmcaddon.Addon().getAddonInfo('id')
addon = xbmcaddon.Addon(addon_id)
addon_info = addon.getAddonInfo
addon_version = addon_info('version')
addon_name = addon_info('name')
addon_icon = addon_info("icon")
addon_fanart = addon_info("fanart")
translatePath = xbmcvfs.translatePath
addon_profile = translatePath(addon_info('profile'))
addon_path = translatePath(addon_info('path'))
setting = addon.getSetting
setting_set = addon.setSetting
local_string = addon.getLocalizedString
home = translatePath('special://home/')
dialog = xbmcgui.Dialog()
DP = xbmcgui.DialogProgress()
addons_path = os.path.join(home, 'addons/')
user_path = os.path.join(home, 'userdata/')
data_path = os.path.join(user_path, 'addon_data/')
db_path = os.path.join(user_path, 'Database/')
addons_db = os.path.join(db_path,'Addons33.db')
textures_db = os.path.join(db_path,'Textures13.db')
packages = os.path.join(addons_path, 'packages/')
resources = os.path.join(addon_path, 'resources/')
images_path = os.path.join(resources, 'artwork/')
lists_path = os.path.join(resources, 'lists/')
time_now = str(datetime.now())[:-7]
advancedsettings_xml =  os.path.join(user_path, 'advancedsettings.xml')
advancedsettings_folder = os.path.join(resources, 'advancedsettings/')
user_agent = 'Vm0wd2VFNUdXWGxXYmxKV1lUSlNXVmxVU2xOWFJteHlWbFJHVjFac1NsaFdiR2hyVlVaV1ZVMUVhejA9'
headers = {'User-Agent': user_agent}
KODIV  = float(xbmc.getInfoLabel("System.BuildVersion")[:4])
sleep = xbmc.sleep
searchlist = b64decode('aHR0cHM6Ly91a3R1cmtzLmFwcC9hcGkvQWRkb24vQWRkb24vTUFJTlhNTC50eHQ=').decode('utf-8')

#---Artwork---#
nextpage = os.path.join(images_path, 'next.png')
search_icon = os.path.join(images_path, 'search.jpg')
highlights_icon = os.path.join(images_path, 'highlights.jpg')
fb_highlights_icon = os.path.join(images_path, 'fb_highlights.jpg')

###oldvars###
data_path = translatePath(addon.getAddonInfo('profile'))
addon_glob = translatePath('special://home/addons/')+'/*.*'
addon_folder = translatePath('special://home/addons/')

adultopt = addon.getSetting('adult')
adultpass = addon.getSetting('password')
adultopt = addon.getSetting('adult')
pincode = addon.getSetting('pin')
count = (addon.getSetting('count'))
metaset = addon.getSetting('enable_meta')
userdata = translatePath('special://home/userdata/addon_data/' + addon_id)
uktfavs = translatePath(os.path.join('special://home/userdata/Database', 'UKTurk.db'))
ytapi1 ='https://www.googleapis.com/youtube/v3/search?q='
ytapi2 ='&regionCode=US&part=snippet&hl=en_US&key=AIzaSyBgXfD0GxisjVhmV2j0jbDWIXKwo4Ac8ww&type=video&maxResults=50'
ytpl = 'https://www.googleapis.com/youtube/v3/playlistItems?part=snippet&playlistId='
ytpl2 = '&maxResults=50&key=AIzaSyBgXfD0GxisjVhmV2j0jbDWIXKwo4Ac8ww'
favsdb = open(uktfavs,'a')
favsdb_close = favsdb.close()